Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRVirtualizationHelper

    java.lang.Object
      net.sf.jasperreports.engine.JRVirtualizationHelper

    public final class JRVirtualizationHelper

extends java.lang.Object

Virtualization helper class.

Version:
  $Id: JRVirtualizationHelper.java 3713 2010-04-08 11:06:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`static void` | `clearThreadVirtualizer()` Clears the virtualizer associated to the current thread.
`static JRVirtualizer` | `getThreadVirtualizer()` Returns the virtualizer associated to the current thread.
`static void` | `setThreadVirtualizer(JRVirtualizer virtualizer)` Sets a virtualizer to be used for the current thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setThreadVirtualizer

    public static void setThreadVirtualizer(JRVirtualizer virtualizer)

  Sets a virtualizer to be used for the current thread.

  The current thread's virtualizer is used when a report obtained by virtualization is deserialized.

  Parameters:
    `virtualizer` -

### clearThreadVirtualizer

    public static void clearThreadVirtualizer()

  Clears the virtualizer associated to the current thread.

### getThreadVirtualizer

    public static JRVirtualizer getThreadVirtualizer()

  Returns the virtualizer associated to the current thread.

  This method is used by `JRVirtualPrintPage` on deserialization.

  Returns:
    the virtualizer associated to the current thread

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com